org.apache.hadoop.yarn.server.nodemanager

## Class DeletionService

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.yarn.server.nodemanager.DeletionService

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.service.Service

      public class DeletionService
      extends org.apache.hadoop.service.AbstractService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeletionService(ContainerExecutor exec)`
    `DeletionService(ContainerExecutor containerExecutor, NMStateStoreService stateStore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(DeletionTask deletionTask)`
    `ContainerExecutor` | `getContainerExecutor()`
    `int` | `getDebugDelay()`
    `NMStateStoreService` | `getStateStore()`
    `boolean` | `isTerminated()` Determine if the service has completely stopped.
    `protected void` | `serviceInit(org.apache.hadoop.conf.Configuration conf)`
    `void` | `serviceStop()`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, serviceStart, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeletionService

          public DeletionService(ContainerExecutor exec)

    - #### DeletionService

          public DeletionService(ContainerExecutor containerExecutor,
                                 NMStateStoreService stateStore)

  - ### Method Detail

    - #### getDebugDelay

          public int getDebugDelay()

    - #### getContainerExecutor

          public ContainerExecutor getContainerExecutor()

    - #### getStateStore

          public NMStateStoreService getStateStore()

    - #### delete

          public void delete(DeletionTask deletionTask)

    - #### serviceInit

          protected void serviceInit(org.apache.hadoop.conf.Configuration conf)
                              throws Exception

      Overrides:
        `serviceInit` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### serviceStop

          public void serviceStop()
                           throws Exception

      Overrides:
        `serviceStop` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### isTerminated

          @InterfaceAudience.Private
          public boolean isTerminated()

      Determine if the service has completely stopped. Used only by unit tests
      Returns:
        true if service has completely stopped

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.